XtConvert(3)

NAME
XtConvert, XtDirectConvert - invoke resource converters

SYNTAX

void XtConvert(Widget w, String from_type, XrmValuePtr from, String to_type, XrmValuePtr to_return);

void XtDirectConvert(XtConverter converter, XrmValuePtr args, Cardinal num_args, XrmValuePtr from, XrmValuePtr to_return);

ARGUMENTS

args
    Specifies the argument list that contains the additional arguments needed to perform the conversion (often N.

converter
    Specifies the conversion procedure that is to be called.

from
    Specifies the value to be converted.

from_type
    Specifies the source type.

num_args
    Specifies the number of additional arguments (often zero).

to_type
    Specifies the destination type.

to_return
    Returns the converted value.

w   Specifies the widget to use for additional arguments (if any are needed).

DESCRIPTION
The function looks up the type converter registered to convert from_type to to_type, computes any additional arguments needed, and then calls has been replaced by

The function looks in the converter cache to see if this conversion procedure has been called with the specified arguments. If so, it returns a descriptor for information stored in the cache; otherwise, it calls the converter and enters the result in the cache.

Before calling the specified converter, sets the return value size to zero and the return value address to NULL. To determine if the conversion was successful, the client should check to_return.address for non-NULL. has been replaced by

SEE ALSO
XtAppAddConverter(3Xt), XtStringConversionWarning(3Xt), XtConvertAndStore(3Xt), XtCallConverter(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface